Shop MANITOWOC
See all product information
Create Account
Contactor, Black, 3 5/8 in H
Mfr # 2006619
Zoro # G6384850
product price:Â
$
113.99
/ea
Free Shipping & Returns
Key Features
For Use With Mfr. Model Number
1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
Fits Brand
Manitowoc Ice
Product Type
Contactor
Compatible with Manufacturer Model Number
1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
For Use With
Refrigeration
Unlock 30-day payment terms
Business customers can apply for Net 30—no fees, no interest, fast approval.
Terms apply.
Get 10% off your order
Sign up for our email list and receive your promo code via email.
Specifications
Details
- MFR #
- 2006619
- Zoro #
- G6384850
- UPC #
- -
- Country of Origin
- United States
- Item
- Contactor
- For Use With Mfr. Model Number
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Fits Brand
- Manitowoc Ice
- Product Type
- Contactor
- Compatible with Manufacturer Model Number
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- For Use With
- Refrigeration
- For Use with Mfr Model Number
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Compatible Manufacturer Part Number
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Compatible with Mfr. Model No.
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Compatible Manufacturer Model Number
- B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Compatible with Manufacturer Model No.
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Compatible Pump Manufacturer Part Number
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Compatible Mfr. Model Number
- 1375,B0800,B1000,B1300,B1800,CVD0675,CVD0685,CVD0875,CVD0885,CVD1075,CVD1085,CVD1185,CVD1285,CVD1375,CVD1475,CVD1476,CVD1485,CVD1486,CVD1875,CVD1885,CVD2075,CVD2085,CVD3085,CVDF0600,CVDF0900,CVDF1400,CVDF1800,CVDF2100,CVDF3000,CVDT1200,CVDT1400,CVDT1800,DC0862,I0850,I0850M,I0906,I0906M,I1000,I1000M,I1000P,I1106,I1106P,I1200,I1400,I1400M,I1400P,I1406,I1406M,I1406P,I1800,I1800M,I1800P,IF0900,IP0500,IT0450,IT0450P,IT0500,IT0750,IT0750P,IT1200,IT1200P,IT1500,IT1500P,IT1900,IT1900M,IT1900P,IT1900V,IYF0520,IYF1000,IYF1800,J0800,J1000,J1300,J1800,JC0895,JC0995,JC1095,JC1395,JC1895,Q0800,Q0800P,Q1000,Q1000M,Q1000P,Q1300,Q1300P,Q1400C,Q1600,Q1800,Q1800M,Q1800P,QDUALC,QM,RCU1075,RCU1098,RCU1275,RCUF1000,RCUF1200,RFC0985,RFC1285,RFC2085,RFC2385,S0300,S0300P,S0320,S0320P,S0420,S0420P,S0450,S0450P,S0500,S0500P,S0600,S0600C,S0600M,S0600P,S0680C,S0850,S0850M,S0850P,S0870C,S1000,S1000C,S1000M,S1000P,S1200,S1200C,S1400,S1400M,S1400P,S1470C,S1600,S1600M,S1600P,S1800,S1800M,S1800P,S1870C,S2070C,S3300,S3300M,SF0400,SF0600,SF1200,SN0450,SN0650,SN1250,ST3000,ST3000W
- Compatible Product Type
- Refrigeration
- Color
- Black
- Material
- Metal, Plastic
Description
Contactor, Product Type Contactor, Material Metal, Plastic, Color Black